%global         ntfs_version 2022.5.17
%global         compression_version 1.0
%global         debug_package %{nil}

Summary:        Add support for Windows guests to virt-v2v and virt-p2v
Name:           libguestfs-winsupport
Version:        9.2
Release:        2%{?dist}

License:        GPLv2+
URL:            https://www.tuxera.com/company/open-source/
Source0:        http://tuxera.com/opensource/ntfs-3g_ntfsprogs-%{ntfs_version}.tgz
Source1:        https://github.com/ebiggers/ntfs-3g-system-compression/releases/download/v%{compression_version}/ntfs-3g-system-compression-%{compression_version}.tar.gz

Patch3000:      ntfs-3g_ntfsprogs-2011.10.9-RC-ntfsck-unsupported-return-0.patch

BuildRequires: make gcc libtool, libattr-devel libconfig-devel
BuildRequires: libgcrypt-devel gnutls-devel libuuid-devel autoconf automake
BuildRequires: fuse-devel

Requires:      libguestfs >= 1.45.6

%description
This optional package adds support for Windows guests (NTFS) to the
virt-v2v and virt-p2v programs.

This package also supports system compression ("Compact OS") using the
plugin from https://github.com/ebiggers/ntfs-3g-system-compression


%prep
%setup -q -n ntfs-3g_ntfsprogs-%{ntfs_version}
%autosetup -n ntfs-3g_ntfsprogs-%{ntfs_version} -T -D -a 1 -p1


%build
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%configure \
        --disable-static \
        --disable-ldconfig \
        --with-fuse=external \
        --exec-prefix=/ \
        --enable-posix-acls \
        --enable-xattr-mappings \
        --enable-crypto \
        --enable-extras \
        --enable-quarantined
%make_build LIBTOOL=%{_bindir}/libtool

pushd ntfs-3g-system-compression-%{compression_version}
autoreconf -i
cp ../libntfs-3g/libntfs-3g.pc .
sed -i \
    -e 's,^libdir=.*,libdir=../libntfs-3g,' \
    -e 's,^includedir=.*,includedir=../include,' \
    libntfs-3g.pc
export PKG_CONFIG_PATH=.
%configure
%make_build
popd


%install
mkdir destdir
make LIBTOOL=%{_bindir}/libtool DESTDIR=$(pwd)/destdir install
rm -rf destdir/%{_libdir}/*.la
rm -rf destdir/%{_libdir}/*.a

rm -rf destdir/%{_sbindir}/mount.ntfs-3g
cp -a destdir/%{_bindir}/ntfs-3g destdir/%{_sbindir}/mount.ntfs-3g

pushd destdir/%{_bindir}
ln -s ntfs-3g ntfsmount
popd

pushd destdir/%{_sbindir}
ln -s mount.ntfs-3g mount.ntfs-fuse
ln -s mount.ntfs-3g mount.ntfs
ln -s ../bin/ntfsck fsck.ntfs
popd

mv destdir/sbin/* destdir/%{_sbindir}
rmdir destdir/sbin
rm -r destdir/%{_defaultdocdir}
rm -r destdir/%{_includedir}
rm -r destdir/%{_libdir}/pkgconfig

pushd ntfs-3g-system-compression-%{compression_version}
%make_install DESTDIR=$(pwd)/../destdir
popd
rm -rf destdir/%{_libdir}/ntfs-3g/*.la

mkdir -p %{buildroot}%{_libdir}/guestfs/supermin.d
pushd destdir
tar zvcf %{buildroot}%{_libdir}/guestfs/supermin.d/zz-winsupport.tar.gz .
popd


%files
%license COPYING
%doc AUTHORS ChangeLog CREDITS NEWS README
%{_libdir}/guestfs/supermin.d/zz-winsupport.tar.gz


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 06 2023 cunshunxia <cunshunxia@tencent.com> - 9.2-1
- initial build
